Package org.apache.groovy.swing.binding

# Interface FullBinding

All Superinterfaces:
  `BindingUpdatable`

All Known Implementing Classes:
  `AbstractFullBinding`, `AbstractSyntheticBinding`, `MutualPropertyBinding`, `PropertyPathFullBinding`

public interface FullBinding extends BindingUpdatable
Coordinates value propagation between a `SourceBinding` and a `TargetBinding`.

Since:
  Groovy 1.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Closure`
  `getConverter()`
  Returns the forward converter used before writing to the target.
  `Closure`
  `getReverseConverter()`
  Returns the reverse converter used during reverse updates.
  `SourceBinding`
  `getSourceBinding()`
  Returns the source side of the binding.
  `TargetBinding`
  `getTargetBinding()`
  Returns the target side of the binding.
  `Closure`
  `getValidator()`
  Returns the validator used before forward propagation.
  `void`
  `setConverter(Closure converter)`
  Sets the forward converter used before writing to the target.
  `void`
  `setReverseConverter(Closure reverseConverter)`
  Sets the reverse converter used before writing back to the source.
  `void`
  `setSourceBinding(SourceBinding source)`
  Replaces the source side of the binding.
  `void`
  `setTargetBinding(TargetBinding target)`
  Replaces the target side of the binding.
  `void`
  `setValidator(Closure validator)`
  Sets a validator invoked before propagating source values to the target.

  ### Methods inherited from interface org.apache.groovy.swing.binding.BindingUpdatable

  `bind, rebind, reverseUpdate, unbind, update`

- ## Method Details

  - ### getSourceBinding

    SourceBinding getSourceBinding()
    Returns the source side of the binding.
    Returns:
      the source binding

  - ### getTargetBinding

    TargetBinding getTargetBinding()
    Returns the target side of the binding.
    Returns:
      the target binding

  - ### setSourceBinding

    void setSourceBinding(SourceBinding source)
    Replaces the source side of the binding.
    Parameters:
      `source` - the new source binding

  - ### setTargetBinding

    void setTargetBinding(TargetBinding target)
    Replaces the target side of the binding.
    Parameters:
      `target` - the new target binding

  - ### setValidator

    void setValidator(Closure validator)
    Sets a validator invoked before propagating source values to the target.
    Parameters:
      `validator` - the validation closure, or `null`

  - ### getValidator

    Closure getValidator()
    Returns the validator used before forward propagation.
    Returns:
      the validator closure, or `null`

  - ### setConverter

    void setConverter(Closure converter)
    Sets the forward converter used before writing to the target.
    Parameters:
      `converter` - the forward converter, or `null`

  - ### getConverter

    Closure getConverter()
    Returns the forward converter used before writing to the target.
    Returns:
      the forward converter, or `null`

  - ### setReverseConverter

    void setReverseConverter(Closure reverseConverter)
    Sets the reverse converter used before writing back to the source.
    Parameters:
      `reverseConverter` - the reverse converter, or `null`

  - ### getReverseConverter

    Closure getReverseConverter()
    Returns the reverse converter used during reverse updates.
    Returns:
      the reverse converter, or `null`